## kdepimlibs 4.11.2

=== kimap/tests/CMakeLists.txt ===
add_subdirectory(kimaptest)

include_directories( ${CMAKE_SOURCE_DIR}/kimap ${Boost_INCLUDE_DIR})
set( EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR} )

MACRO(KIMAP_UNIT_TESTS)
  FOREACH(_testname ${ARGN})
    kde4_add_unit_test(${_testname} TESTNAME kimap-${_testname} NOGUI ${_testname}.cpp)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${KDE4_ENABLE_EXCEPTIONS}")
    target_link_libraries(${_testname} ${KDE4_KDECORE_LIBS} ${QT_QTTEST_LIBRARY}
                          kimap kimaptest kmime)
    set_target_properties(${_testname} PROPERTIES COMPILE_FLAGS -DTEST_DATA="\\"${CMAKE_CURRENT_SOURCE_DIR}\\"")
  ENDFOREACH(_testname)
ENDMACRO(KIMAP_UNIT_TESTS)

MACRO(KIMAP_EXECUTABLE_TESTS)
  FOREACH(_testname ${ARGN})
    kde4_add_executable(${_testname} NOGUI TEST ${_testname}.cpp)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${KDE4_ENABLE_EXCEPTIONS}")
    target_link_libraries(${_testname} ${KDE4_KDECORE_LIBS} kimap kmime)
  ENDFOREACH(_testname)
ENDMACRO(KIMAP_EXECUTABLE_TESTS)

########### automated tests ###############

KIMAP_UNIT_TESTS(
  fakeservertest
  testrfccodecs
  testsession
  loginjobtest
  logoutjobtest
  capabilitiesjobtest
  selectjobtest
  createjobtest
  deletejobtest
  fetchjobtest
  renamejobtest
  subscribejobtest
  unsubscribejobtest
  listjobtest
  storejobtest
  imapsettest
  idlejobtest
  quotarootjobtest
  searchjobtest
)

###########   manual tests  ###############

KIMAP_EXECUTABLE_TESTS(
  testimapidle
  testimapserver
)

=== debian/changelog ===
kdepimlibs (4:4.11.2-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 30 Sep 2013 14:20:53 +0100

kdepimlibs (4:4.11.1-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release.

 -- Howard Chan <smartboyhw@gmail.com>  Fri, 06 Sep 2013 22:20:07 +0100

kdepimlibs (4:4.11.0-0ubuntu1) saucy; urgency=low

  [ Howard Chan ]
  * New upstream release

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 13 Aug 2013 23:49:48 +0100

kdepimlibs (4:4.10.97-0ubuntu1) saucy; urgency=low

  * New upstream RC 2 release
  * New upstream RC 2 release
  * New upstream RC 2 release
  * New upstream RC 2 release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 26 Jul 2013 19:29:47 +0100

kdepimlibs (4:4.10.95-0ubuntu1) saucy; urgency=low

  [ Rohan Garg ]
  * New upstream RC release

  [ Philip Muškovac ]
  * Add new symbols for libakonadi-calendar4, libakonadi-kde4 and libkcalcore4

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 19 Jul 2013 12:32:15 +0000

kdepimlibs (4:4.10.90-0ubuntu1) saucy; urgency=low

  [ Michał Zając ]
  * New upstream beta release

  [ Howard Chan ]
  * Add symbols to libkalarmcal2 and
    libakonadi-calendar4
  * Add lintian warning overrides to
    libkabc4 and libakonadi-kcal4.

 -- Howard Chan <smartboyhw@gmail.com>  Fri, 28 Jun 2013 18:10:55 +0100

kdepimlibs (4:4.10.80-0ubuntu1) saucy; urgency=low

  [ Philip Muškovac ]
  * New upstream beta release 
  * Update symbols 
  * Update install files 
  * Add nepomuk-core-dev to kdepimlibs5-dev depends as the kdepimlibs cmake
    config file expects it to be there
  * Add libgpgme11-dev to kdepimlibs5-dev depends. Needed by QGpgME

  [ Jonathan Riddell ]
  * Remove unused libgpgme++-pth due to libgpgme-pth disappearing
    http://bugs.debian.org/710140

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 21 Jun 2013 02:15:01 +0100

kdepimlibs (4:4.10.4-0ubuntu2) saucy; urgency=low

  * Build against libical 1.0

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 13 Jun 2013 13:23:55 +0100

kdepimlibs (4:4.10.4-0ubuntu1) saucy-proposed; urgency=low

  [ Rohan Garg ]
  * New upstream bugfix release

  [ Jonathan Riddell ]
  * Update symbols files

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 07 Jun 2013 00:28:32 +0100

kdepimlibs (4:4.10.3-0ubuntu1) saucy; urgency=low

  * New upstream release
  * Merge with Debian, remaining change:
   - add a not-installed

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 08 May 2013 16:09:00 +0000

kdepimlibs (4:4.10.2-2) experimental; urgency=low

  * Bump the kdepim-runtime versions in the symbol
    files of the akonadi libraries.
  * Update uploaders.

 -- Sune Vuorela <sune@debian.org>  Wed, 17 Apr 2013 22:20:44 +0200

kdepimlibs (4:4.10.2-1) experimental; urgency=low

  * New upstream release.

  [ Lisandro Damián Nicanor Pérez meyer ]
  * Add myself to Uploaders.
  * Confirm symbols files with 4:4.8.4's build logs.
  * Remove crash_when_marking_folder_read.diff, already applied upstream.

  [ José Manuel Santamaría Lema ]
  * Bump kde-sc-dev-latest build dependecy to 4:4.10.1.
  * Bump libakonadi-dev build dependency to 1.8.1.
  * Update some installed files.
  * Update symbols files.
  * Add lintian overrides for hardening-no-fortify-functions.

  [ Daniele E. Domenichelli ]
  * Update installed files using wildcards.
  * Update symbols.

  [ Josep Febrer ]
  * Update patches
    - drop 03_hide_akonadi_progressbar.diff, no longer needed
  * Bump kdelibs5-dev build dependency to 4:4.10.
  * Bump nepomuk-core-dev build dependecy to 4:4.10.
  * Add build dependencies on libqjson-dev, libxslt1-dev, libx11 and pkg-config.
  * New package libakonadi-socialutils4.
  * Pass -DKDE4_BUILD_TESTS=false to cmake in order to keep the tests disabled.
  * Update installed files.

  [ Sune Vuorela ]
  * Make libkpimidentities4 break older kmail & friends
  * Change my email address

 -- Sune Vuorela <sune@debian.org>  Mon, 25 Mar 2013 19:31:38 +0100

kdepimlibs (4:4.10.2-0ubuntu2) saucy; urgency=low

  * Rebuild against Boost 1.53.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Tue, 30 Apr 2013 16:53:05 +0100

=== debian/control ===
Source: kdepimlibs
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
 Fathi Boudra <fabo@debian.org>,
 Modestas Vainius <modax@debian.org>,
 George Kiagiadakis <kiagiadakis.george@gmail.com>,
 Eshat Cakar <info@eshat.de>,
 Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
Build-Depends: kde-sc-dev-latest (>= 4:4.10.1),
 cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12), dpkg-dev (>= 1.15.5),
 kdelibs5-dev (>= 4:4.11.2), nepomuk-core-dev (>= 4:4.11.2),
 libgpgme11-dev, libldap2-dev, libsasl2-dev,
 libboost-dev, libboost-graph-dev, shared-mime-info,
 libakonadi-dev (>= 1.9.52), libical-dev (>= 1.0),
 shared-desktop-ontologies (>= 0.8), libsoprano-dev, xsltproc, uuid-dev,
 libprison-dev, libqjson-dev, libxslt1-dev, libx11-dev, pkg-config
Standards-Version: 3.9.3
Homepage: http://pim.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdepimlibs
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdepimlibs
X-Vcs-Debian-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kdepimlibs.git
X-Vcs-Debian-Git: git://git.debian.org/pkg-kde/kde-sc/kdepimlibs.git

Package: kdepimlibs5-dev
Section: libdevel
Architecture: any
Depends: ${sameVersionDep:kdelibs5-dev:libakonadi-kde4}, ${allLibraries},
 ${misc:Depends}, nepomuk-core-dev, libgpgme11-dev
Replaces: kdepimlibs-data (<< 4:4.1.80), libkleopatra1-dev
Breaks: kdepimlibs-data (<< 4:4.1.80), libkleopatra1-dev
Description: development files for the KDE Development Platform PIM libraries
 This package contains development files for building software that uses
 the KDE Development Platform Personal Information Management libraries.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: kdepimlibs-kio-plugins
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libsasl2-modules
Replaces: kdepimlibs5 (<< 4:4.4.0), kdepimlibs-data
Breaks: kdepimlibs5 (<< 4:4.4.0), kdepimlibs-data
Description: kio slaves used by KDE PIM applications
 This package contains the imap4, ldap, mbox, nntp, pop3, sieve and smtp kio
 slaves.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libakonadi-contact4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kdepim-runtime (<< 4:4.4.0)
Breaks: kdepim-runtime (<< 4:4.4.0)
Description: library for using the Akonadi PIM data server
 This is the client access library for using the Akonadi PIM data server.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libakonadi-kabc4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kdepimlibs5 (<< 4:4.4.0), akonadi-kde (<< 4:4.1.80)
Breaks: kdepimlibs5 (<< 4:4.4.0), akonadi-kde (<< 4:4.1.80)
Description: library for using the Akonadi PIM data server
 This is the client access library for using the Akonadi PIM data server.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libakonadi-kcal4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kdepim-runtime (<< 4:4.4.0), akonadi-kde (<< 4:4.1.80)
Breaks: kdepim-runtime (<< 4:4.4.0), akonadi-kde (<< 4:4.1.80)
Description: library for using the Akonadi PIM data server
 This is the client access library for using the Akonadi PIM data server.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libakonadi-kde4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kdepimlibs5 (<< 4:4.4.0), kdepimlibs-data
Breaks: kdepimlibs5 (<< 4:4.4.0), kdepimlibs-data
Description: library for using the Akonadi PIM data server
 This is the client access library for using the Akonadi PIM data server.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libakonadi-kmime4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kdepimlibs5 (<< 4:4.4.0), kdepimlibs-data
Breaks: kdepimlibs5 (<< 4:4.4.0), kdepimlibs-data
Description: library for using the Akonadi PIM data server
 This is the client access library for using the Akonadi PIM data server.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libakonadi-socialutils4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Akonadi resources for handling social feeds
 Akonadi resource types for social media related feeds.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libakonadi-notes4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library for using the Akonadi PIM data server
 This is the client access library for using the Akonadi PIM data server.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libgpgme++2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kdepimlibs5 (<< 4:4.4.0)
Breaks: kdepimlibs5 (<< 4:4.4.0)
Description: c++ wrapper library for gpgme
 GpgME++ is a C++ wrapper (or C++ bindings) for the GnuPG project's gpgme
 (GnuPG Made Easy) library.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkabc4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kdepimlibs5 (<< 4:4.4.0), kdepimlibs-data
Breaks: kdepimlibs5 (<< 4:4.4.0), kdepimlibs-data
Description: library for handling address book data
 This library provides an API for address book data. It includes features
 such as:
  * Value based interface, addressbook entry data is implicitly shared.
  * Address book entries are identified by a unique id.
  * vCard backend (RFC 2425 / RFC 2426).
  * Locking mechanism to support concurrent access to the address book by
    multiple processes.
  * Notification on change of addressbook by other process.
  * Dialog for selecting address book entries, supports mouse and keyboard
    selection, supports automatic name completion.
  * GUI client for viewing, modifying address book data. This is aimed at
    developers not end users.
  * Tool for converting data, written with libkab, to libkabc format.
  * Multiple backends (resources) for storing entries e.g. LDAP
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkblog4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kdepimlibs5 (<< 4:4.4.0)
Breaks: kdepimlibs5 (<< 4:4.4.0)
Description: client-side support library for web application remote blogging APIs
 KBlog is a library for calling functions on Blogger 1.0, MetaWeblog,
 MovableType and GData compatible blogs. It calls the APIs using KXmlRpcClient
 and Syndication. It supports asynchronous sending and fetching of posts and,
 if supported on the server, multimedia files. Almost every modern blogging web
 application that provides an XML data interface supports one of the APIs
 mentioned above.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkalarmcal2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library for handling kalarm calendar data
 This library provides access to and handling of kalarm calendar data.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkcal4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kdepimlibs5 (<< 4:4.4.0), kdepimlibs-data
Breaks: kdepimlibs5 (<< 4:4.4.0), kdepimlibs-data
Description: library for handling calendar data
 This library provides access to and handling of calendar data. It supports
 the standard formats iCalendar and vCalendar and the group scheduling
 standard iTIP.
 .
 This library integrates with the deprecated KResource framework, and its use
 is discouraged in favour of KCalCore and KCalUtils.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkcalcore4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library for handling calendar data
 This library provides access to and handling of calendar data. It supports
 the standard formats iCalendar and vCalendar and the group scheduling
 standard iTIP.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkcalutils4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library with utility functions for the handling of calendar data
 This library provides a set of utility functions that help applications access
 and use calendar data via the KCalCore library.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkholidays4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kdepimlibs5 (<< 4:4.4.0), kdepimlibs-data
Breaks: kdepimlibs5 (<< 4:4.4.0), kdepimlibs-data
Description: holidays calculation library
 This library provides a C++ API that determines holiday and other special
 events for a geographical region.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkimap4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libsasl2-modules
Replaces: kdepimlibs5 (<< 4:4.4.0)
Breaks: kdepimlibs5 (<< 4:4.4.0)
Description: library for handling IMAP data
 This library provides an API for handling data received from IMAP services.
 IMAP (Internet Message Access Protocol) is one of the two most prevalent
 Internet standard protocols for e-mail retrieval.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkldap4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kdepimlibs5 (<< 4:4.4.0)
Breaks: kdepimlibs5 (<< 4:4.4.0)
Description: library for accessing LDAP
 This is a library for accessing LDAP with a convenient Qt style C++ API.
 LDAP (Lightweight Directory Access Protocol) is an application protocol
 for querying and modifying directory services running over TCP/IP.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkmbox4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library for handling mbox mailboxes
 This is a library for handling mailboxes in mbox format, using a Qt/KMime C++
 API.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libakonadi-calendar4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library providing calendar helpers for Akonadi items
 This library offers helper functions for integrate the use of Akonadi calendar
 items in applications.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkmime4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kdepimlibs5 (<< 4:4.4.0)
Breaks: kdepimlibs5 (<< 4:4.4.0)
Description: library for handling MIME data
 This library provides an API for handling MIME data. MIME (Multipurpose
 Internet Mail Extensions) is an Internet Standard that extends the format
 of e-mail to support text in character sets other than US-ASCII, non-text
 attachments, multi-part message bodies, and header information in non-ASCII
 character sets.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkontactinterface4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kontact (<< 4:4.1.80), libkontactinterfaces4
Breaks: kontact (<< 4:4.1.80), libkontactinterfaces4
Description: Kontact interface library
 This library provides the glue necessary for application "Parts" to be
 embedded as a Kontact component (or plugin).
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkpimidentities4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kdepimlibs5 (<< 4:4.4.0)

## kdepimlibs 4.11.5

=== debian/changelog ===
kdepimlibs (4:4.11.5-0ubuntu0.1) saucy; urgency=medium

  * New upstream bugfix release (LP: #1266285)

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 16 Jan 2014 14:37:08 +0100

kdepimlibs (4:4.11.3-0ubuntu0.1) saucy; urgency=low

  * New upstream bugfix release (LP: #1247235)
  * Refresh symbols for libakonadi-calendar4 and libakonadi-kde4

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 29 Nov 2013 15:49:16 +0000

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10.1),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12), dpkg-dev (>= 1.15.5),
- kdelibs5-dev (>= 4:4.11.2), nepomuk-core-dev (>= 4:4.11.2),
+ kdelibs5-dev (>= 4:4.11.5), nepomuk-core-dev (>= 4:4.11.5),
  libgpgme11-dev, libldap2-dev, libsasl2-dev,
  libboost-dev, libboost-graph-dev, shared-mime-info,
  libakonadi-dev (>= 1.9.52), libical-dev (>= 1.0),
@@ -19,8 +19,8 @@
  libprison-dev, libqjson-dev, libxslt1-dev, libx11-dev, pkg-config
 Standards-Version: 3.9.3
 Homepage: http://pim.kde.org/
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdepimlibs
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdepimlibs
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdepimlibs-13.10
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdepimlibs-13.10
 X-Vcs-Debian-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kdepimlibs.git
 X-Vcs-Debian-Git: git://git.debian.org/pkg-kde/kde-sc/kdepimlibs.git

## kdepimlibs 4.12.3

=== CMakeLists.txt ===
project(kdepimlibs)

# where to look first for cmake modules. This line must be the first one or cmake will use the system's FindFoo.cmake
set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules")


############### The kdepimlibs version (used e.g. in KdepimLibsConfig.cmake) ###############
set(KDEPIMLIBS_VERSION_MAJOR 4)
set(KDEPIMLIBS_VERSION_MINOR 12)
set(KDEPIMLIBS_VERSION_PATCH 3)
set(KDEPIMLIBS_VERSION ${KDEPIMLIBS_VERSION_MAJOR}.${KDEPIMLIBS_VERSION_MINOR}.${KDEPIMLIBS_VERSION_PATCH})


############### search packages used by KDE ###############

# cmake would not find kde for xcompile if that is not set
if(WINCE)
    set(KDE4_DATA_DIR "${CMAKE_PREFIX_PATH}/share/apps")
endif()

set (QT_MIN_VERSION "4.8.0")
# kdepim depends on the latest released version of kdelibs, ie. 4.x kdepim depends on 4.x-1 kdelibs
find_package(KDE4 4.11.3 REQUIRED)
include(KDE4Defaults)
include(MacroLibrary)
include(KDEPlatformProfile)
include(FeatureSummary)

set(CMAKE_AUTOMOC ON)
set(CMAKE_LINK_INTERFACE_LIBRARIES "")

include(GenerateExportHeader)

# Used by options
include(CMakeDependentOption)

############### Desktop vs. Mobile options ##############

if (KDE_PLATFORM_PROFILE STREQUAL "Mobile")
  set(_default_mobile_ui TRUE)
else()
  set(_default_mobile_ui FALSE)
endif()


############### Build Options ###############

option(KDEPIM_ONLY_KLEO "Only build the libraries needed by Kleopatra." FALSE)
cmake_dependent_option(KDEPIM_NO_KCAL "Build without legacy KCal" TRUE "KDE_PLATFORM_FEATURE_DISABLE_DEPRECATED" FALSE)
cmake_dependent_option(KDEPIM_NO_KRESOURCES "Build without legacy KResource support." TRUE "KDE_PLATFORM_FEATURE_DISABLE_DEPRECATED" FALSE)
cmake_dependent_option(KDEPIM_MOBILE_UI "Build UI for mobile devices instead of for desktops" TRUE "_default_mobile_ui" FALSE)
option(STATIC_LIBRARY "Build kdepimlibs as static libraries." FALSE)
#option(KDEPIM_ENTERPRISE_BUILD "Enable features specific to the enterprise branch, which are normally disabled." FALSE)
option(KDEPIMLIBS_RUN_ISOLATED_TESTS "Run the isolated tests." FALSE)

############### Load the CTest options ###############
# Setting DART_TESTING_TIMEOUT has no effect on the tests timeout,
# the timeout value must be changed directly in DartConfiguration.tcl
set(_DartConfigFile "${CMAKE_BINARY_DIR}/DartConfiguration.tcl")
if(EXISTS ${_DartConfigFile})
  set(DartTestingTimeout "120")
  file(READ ${_DartConfigFile} _DartConfigFile_content)
  string(REGEX REPLACE "TimeOut: 1500" "TimeOut: ${DartTestingTimeout}" _DartConfigFile_content ${_DartConfigFile_content})
  file(WRITE ${_DartConfigFile} ${_DartConfigFile_content})
endif()

# CTestCustom.cmake has to be in the CTEST_BINARY_DIR.
# in the KDE build system, this is the same as CMAKE_BINARY_DIR.
configure_file(${CMAKE_SOURCE_DIR}/CTestCustom.cmake ${CMAKE_BINARY_DIR}/CTestCustom.cmake)


############### Find the stuff we need ###############

set(Boost_MINIMUM_VERSION "1.34.0")
find_package(Boost ${Boost_MINIMUM_VERSION} COMPONENTS graph)
set_package_properties(Boost PROPERTIES DESCRIPTION "Boost C++ Libraries" URL "http://www.boost.org" TYPE REQUIRED PURPOSE "Boost must include the boost-graph library")

#FindGpgme.cmake already handles the log message but we must ensure it is required.
find_package(Gpgme REQUIRED)
# configure macros
if (GPGME_FOUND)
  include (gpgme++/ConfigureChecks.cmake)
endif()

if (NOT KDEPIM_ONLY_KLEO)
  #FindAkonadi.cmake is only there for compatibility reasons, but we don't want to use that.
  set(Akonadi_MIN_VERSION "1.10.45")
  find_package(Akonadi ${Akonadi_MIN_VERSION} QUIET NO_MODULE)
  set_package_properties(Akonadi PROPERTIES DESCRIPTION "Akonadi server libraries" URL "http://pim.kde.org/akonadi" TYPE REQUIRED PURPOSE "Access to PIM storage and services")
  if (${Akonadi_VERSION} VERSION_GREATER "1.11.40")
    add_definitions( -DAKONADI_DEFINES_NOTIFICATIONMESSAGEV2TYPEMETATYPE )
  endif()

  find_package(Sasl2)
  set_package_properties(Sasl2 PROPERTIES DESCRIPTION "cyrus-sasl" URL "http://asg.web.cmu.edu/sasl/sasl-library.html" TYPE REQUIRED PURPOSE "Login authentication for IMAP and Sieve")

  include (ConfigureChecks.cmake)

  set(SHARED_MIME_INFO_MINIMUM_VERSION "0.30")
  find_package(SharedMimeInfo)
  set_package_properties(SharedMimeInfo PROPERTIES DESCRIPTION "shared-mime-info" URL "http://freedesktop.org/wiki/Software/shared-mime-info" TYPE REQUIRED PURPOSE "Information about filetypes")


  set(SDO_MIN_VERSION 0.11)
  set(SOPRANO_MIN_VERSION 2.9)

  find_package(SharedDesktopOntologies ${SDO_MIN_VERSION})
  set_package_properties(SharedDesktopOntologies PROPERTIES DESCRIPTION "Shared desktop ontologies" URL "http://sourceforge.net/projects/oscaf/" TYPE REQUIRED PURPOSE "Ontology information for use with Nepomuk")

  find_package(Soprano)
  if (NOT WINCE)
    set_package_properties(Soprano PROPERTIES DESCRIPTION "Soprano" URL "http://soprano.sourceforge.net" TYPE REQUIRED PURPOSE "Storage of semantic data")
  else()
    set_package_properties(Soprano PROPERTIES DESCRIPTION "Soprano" URL "http://soprano.sourceforge.net" TYPE OPTIONAL PURPOSE "Storage of semantic data")
  endif()
  if (Soprano_FOUND AND NOT WINCE)
  include(SopranoAddOntology)
  endif()

  find_package(NepomukCore)
  set_package_properties(NepomukCore PROPERTIES DESCRIPTION "NepomukCore"  URL "http://www.kde.org" TYPE REQUIRED PURPOSE "Nepomuk extends the search and tagging functionalities in KMail and Akonadi")

  set(LIBICAL_MIN_VERSION "0.42")
  find_package(Libical)
  set_package_properties(Libical PROPERTIES DESCRIPTION "libical" URL "http://sourceforge.net/projects/freeassociation" TYPE REQUIRED PURPOSE "Calendar support")

  find_package(QJSON)
  set_package_properties(QJSON PROPERTIES DESCRIPTION "QJSON" URL "http://qjson.sourceforge.net/" TYPE REQUIRED PURPOSE "Qt library for handling JSON data")

  if (KDE4_BUILD_TESTS)
    find_package(Xsltproc)
    set_package_properties(Xsltproc PROPERTIES DESCRIPTION "XSLT processor from libxslt" TYPE REQUIRED PURPOSE "Required to generate D-Bus interfaces for all Akonadi resources.")

    find_package(LibXml2)
    set_package_properties(LibXml2 PROPERTIES DESCRIPTION "The LibXML2 library" URL "http://xmlsoft.org" TYPE OPTIONAL PURPOSE "Needed for building the knut Akonadi resource.")
  endif()

endif()

############### Needed commands before building anything ###############

add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)

if (KDEPIM_MOBILE_UI)
  add_definitions( -DKDEPIM_MOBILE_UI )
endif()

include_directories (${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${KDE4_INCLUDES} ${Boost_INCLUDE_DIR})

if (KDEPIM_NO_KRESOURCES)
  add_definitions(-DKDEPIM_NO_KRESOURCES)
endif()
if (KDEPIM_NO_KCAL)
  add_definitions(-DKDEPIM_NO_KCAL)
endif()

if(WINCE)
  set(STATIC_LIBRARY ON)
  add_definitions(-DKDELIBS_STATIC_LIBS)
endif()

if(STATIC_LIBRARY)
  set(LIBRARY_TYPE STATIC)
  add_definitions(-DKDEPIM_STATIC_LIBS)
  message(STATUS "Building kdepimlibs as static libraries")
else()
  set(LIBRARY_TYPE SHARED)
endif()


############### Now, we add the KDEPIMLibs components ###############
# These targets will always be built
add_subdirectory(cmake)
add_subdirectory(gpgme++)
add_subdirectory(qgpgme)

if (NOT KDEPIM_ONLY_KLEO)
  add_subdirectory(kabc)
  add_subdirectory(kalarmcal)
  if (NOT KDEPIM_NO_KCAL)
    if (NOT WINCE)
    add_subdirectory(kblog)
    endif()
    add_subdirectory(kcal)
  endif()
  add_subdirectory(kcalcore)
  add_subdirectory(kcalutils)
  add_subdirectory(akonadi) # depends on kabc is build
  add_subdirectory(kholidays)
  add_subdirectory(kimap)
  add_subdirectory(kioslave)
  add_subdirectory(kldap)
  add_subdirectory(kmbox)
endif()
  add_subdirectory(kmime)
if (NOT KDEPIM_ONLY_KLEO)
  add_subdirectory(kpimidentities)
  add_subdirectory(kpimutils)
  add_subdirectory(kpimtextedit)
  if (NOT KDEPIM_NO_KRESOURCES)
    add_subdirectory(kresources)
  endif()
  add_subdirectory(ktnef)
  add_subdirectory(kxmlrpcclient)
  add_subdirectory(mailtransport)
  add_subdirectory(microblog)
  add_subdirectory(syndication)
  if (NOT WINCE)
  add_subdirectory(kontactinterface)
  endif()
  # Build the CamelCase headers
  add_subdirectory(includes)
endif()


# doc must be a subdir of kdepimlibs
macro_optional_add_subdirectory(doc)

# All done, let's display what we found...
feature_summary(WHAT ALL
                     INCLUDE_QUIET_PACKAGES
                     FATAL_ON_MISSING_REQUIRED_PACKAGES
               )

############### Here we install some extra stuff  ###############

if (NOT KDEPIM_ONLY_KLEO)
  install(FILES kdepimlibs-mime.xml DESTINATION ${XDG_MIME_INSTALL_DIR})
  update_xdg_mimetypes(${XDG_MIME_INSTALL_DIR})
endif()


# now create the KdepimLibsConfig.cmake file, which will be loaded by
# kdelibs/cmake/modules/FindKdepimLibs.cmake and which has to contain all information
# about the installed kdepimlibs anybody would like to have. Alex

# we need the absolute directories where stuff will be installed too
# but since the variables which contain the destinations can be relative
# or absolute paths, we need this macro to make them all absoulte, Alex
macro(MAKE_INSTALL_PATH_ABSOLUTE out in)
   if (IS_ABSOLUTE "${in}")    # IS_ABSOLUTE is new since cmake 2.4.8
      set(${out} "${in}")
   else()
      set(${out} "\${KDEPIMLIBS_INSTALL_DIR}/${in}")
   endif()
endmacro()

# all the following variables are put into KdepimLibsConfig.cmake, so
# they are usable by projects using kdepimlibs. Alex
make_install_path_absolute(KDEPIMLIBS_DATA_DIR            ${DATA_INSTALL_DIR})
make_install_path_absolute(KDEPIMLIBS_DBUS_INTERFACES_DIR ${DBUS_INTERFACES_INSTALL_DIR})
make_install_path_absolute(KDEPIMLIBS_DBUS_SERVICES_DIR   ${DBUS_SERVICES_INSTALL_DIR})
make_install_path_absolute(KDEPIMLIBS_INCLUDE_DIR         ${INCLUDE_INSTALL_DIR})
make_install_path_absolute(KDEPIMLIBS_LIB_DIR             ${LIB_INSTALL_DIR})
make_install_path_absolute(KDEPIMLIBS_BIN_DIR             ${BIN_INSTALL_DIR})
make_install_path_absolute(KDEPIMLIBS_LIBEXEC_DIR         ${LIBEXEC_INSTALL_DIR})
make_install_path_absolute(KDEPIMLIBS_SBIN_DIR            ${SBIN_INSTALL_DIR})
make_install_path_absolute(KDEPIMLIBS_HTML_DIR            ${HTML_INSTALL_DIR})
make_install_path_absolute(KDEPIMLIBS_CONFIG_DIR          ${CONFIG_INSTALL_DIR})
make_install_path_absolute(KDEPIMLIBS_ICON_DIR            ${ICON_INSTALL_DIR})
make_install_path_absolute(KDEPIMLIBS_KCFG_DIR            ${KCFG_INSTALL_DIR})
make_install_path_absolute(KDEPIMLIBS_LOCALE_DIR          ${LOCALE_INSTALL_DIR})
make_install_path_absolute(KDEPIMLIBS_MIME_DIR            ${MIME_INSTALL_DIR})
make_install_path_absolute(KDEPIMLIBS_SOUND_DIR           ${SOUND_INSTALL_DIR})
make_install_path_absolute(KDEPIMLIBS_TEMPLATES_DIR       ${TEMPLATES_INSTALL_DIR})
make_install_path_absolute(KDEPIMLIBS_WALLPAPER_DIR       ${WALLPAPER_INSTALL_DIR})
make_install_path_absolute(KDEPIMLIBS_KCONF_UPDATE_DIR    ${KCONF_UPDATE_INSTALL_DIR})
make_install_path_absolute(KDEPIMLIBS_AUTOSTART_DIR       ${AUTOSTART_INSTALL_DIR})
make_install_path_absolute(KDEPIMLIBS_XDG_APPS_DIR        ${XDG_APPS_INSTALL_DIR})
make_install_path_absolute(KDEPIMLIBS_XDG_DIRECTORY_DIR   ${XDG_DIRECTORY_INSTALL_DIR})
make_install_path_absolute(KDEPIMLIBS_SYSCONF_DIR         ${SYSCONF_INSTALL_DIR})
make_install_path_absolute(KDEPIMLIBS_MAN_DIR             ${MAN_INSTALL_DIR})
make_install_path_absolute(KDEPIMLIBS_INFO_DIR            ${INFO_INSTALL_DIR})
make_install_path_absolute(KDEPIMLIBS_SERVICES_DIR        ${SERVICES_INSTALL_DIR})
make_install_path_absolute(KDEPIMLIBS_SERVICETYPES_DIR    ${SERVICETYPES_INSTALL_DIR})

# Used in configure_file() and install(EXPORT)
set(KDEPIMLIBS_TARGET_PREFIX KDEPIMLibs__)

# this file is installed and contains all necessary information about the installed kdepimlibs, it also loads the file with the exported targets
configure_file(KdepimLibsConfig.cmake.in "${CMAKE_CURRENT_BINARY_DIR}/KdepimLibsConfig.cmake" @ONLY)

=== kcalutils/CMakeLists.txt ===
project(kcalutils)

add_definitions(-DKDE_DEFAULT_DEBUG_AREA=5820)
add_definitions(-DQT_NO_CAST_FROM_ASCII)
add_definitions(-DQT_NO_CAST_TO_ASCII)

include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${KDE4_INCLUDE_DIR}
  ${CMAKE_BINARY_DIR}/kcalcore
  ${CMAKE_BINARY_DIR}/kpimidentities
  ${CMAKE_BINARY_DIR}/kpimutils
)

########### next target ###############

set(kcalutils_LIB_SRCS
  htmlexport.cpp
  icaldrag.cpp
  incidenceformatter.cpp
  recurrenceactions.cpp
  stringify.cpp
  scheduler.cpp
  vcaldrag.cpp
)

if(NOT WINCE)
  set(kcalutils_LIB_SRCS ${kcalutils_LIB_SRCS} dndfactory.cpp)
endif()

kde4_add_kcfg_files(kcalutils_LIB_SRCS htmlexportsettings.kcfgc)

kde4_add_ui_files(kcalutils_LIB_SRCS recurrenceactionsscopewidget.ui)

add_library(kcalutils ${LIBRARY_TYPE} ${kcalutils_LIB_SRCS})
generate_export_header(kcalutils)

target_link_libraries(kcalutils
  ${KDE4_KDECORE_LIBRARY}
  ${KDE4_KDEUI_LIBRARY}
  kcalcore
  kpimidentities
  kpimutils
  ${QT_QTGUI_LIBRARY}
)
set_target_properties(kcalutils PROPERTIES
  VERSION ${GENERIC_LIB_VERSION}
  SOVERSION ${GENERIC_LIB_SOVERSION}
)

install(TARGETS kcalutils EXPORT kdepimlibsLibraryTargets ${INSTALL_TARGETS_DEFAULT_ARGS})

########### next target ###############

add_subdirectory(tests)

########### install files ###############

install(FILES
  dndfactory.h
  htmlexport.h
  icaldrag.h
  incidenceformatter.h
  ${CMAKE_CURRENT_BINARY_DIR}/kcalutils_export.h
  vcaldrag.h
  recurrenceactions.h
  scheduler.h
  stringify.h
  ${CMAKE_CURRENT_BINARY_DIR}/htmlexportsettings.h
  DESTINATION ${INCLUDE_INSTALL_DIR}/kcalutils COMPONENT Devel)

=== akonadi/contact/CMakeLists.txt ===

include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_CURRENT_BINARY_DIR}
    ${Boost_INCLUDE_DIR}
    ${CMAKE_BINARY_DIR}/kabc
    ${CMAKE_SOURCE_DIR}/kabc
    ${NEPOMUK_CORE_INCLUDE_DIR}
)

if (Soprano_FOUND)
  include_directories(
      ${SOPRANO_INCLUDE_DIR}
  )
endif()

find_package(Prison QUIET)
set_package_properties(Prison PROPERTIES DESCRIPTION "Prison" URL "http://projects.kde.org/prison" TYPE OPTIONAL PURPOSE "Needed to show mobile barcodes of your contacts")
if (PRISON_FOUND)
    add_definitions(-DHAVE_PRISON)
    include_directories(${PRISON_INCLUDE_DIR})
endif()

if (WINCE)
  set( AKONADI_PHONE_DIAL_DEFAULT "UseWinCE" )
  set( AKONADI_SEND_SMS_DEFAULT "UseWinCESms" )
else()
  set( AKONADI_PHONE_DIAL_DEFAULT "UseSkype" )
  set( AKONADI_SEND_SMS_DEFAULT  "UseSkypeSms" )
endif()

add_subdirectory(tests)
#We don't have kcms under wince so don't build them
if(NOT WINCE)
  add_subdirectory(kcm)
endif()
add_subdirectory(editor/im)

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_TO_ASCII ${KDE4_ENABLE_EXCEPTIONS}")

########### next target ###############

set(akonadicontact_actions_SRCS
  actions/dialphonenumberaction.cpp
  actions/showaddressaction.cpp
  actions/qdialer.cpp
  actions/qskypedialer.cpp
  actions/sendsmsaction.cpp
  actions/smsdialog.cpp
  actions/qsflphonedialer.cpp
  actions/qekigadialer.cpp
)

if (WINCE)
  set( akonadicontact_actions_SRCS ${akonadicontact_actions_SRCS}
    actions/qwincedialer.cpp
  )
endif()

configure_file( actions/contactactionssettings.kcfg.cmake ${CMAKE_CURRENT_BINARY_DIR}/contactactionssettings.kcfg @ONLY)
kde4_add_kcfg_files(akonadicontact_actions_SRCS actions/contactactionssettings.kcfgc)

set(akonadicontact_editor_SRCS
  editor/addresseditwidget.cpp
  editor/categorieseditwidget.cpp
  editor/contacteditorwidget.cpp
  editor/customfieldeditordialog.cpp
  editor/customfieldsdelegate.cpp
  editor/customfieldseditwidget.cpp
  editor/customfieldsmodel.cpp
  editor/dateeditwidget.cpp
  editor/displaynameeditwidget.cpp
  editor/emaileditwidget.cpp
  editor/freebusyeditwidget.cpp
  editor/geoeditwidget.cpp
  editor/im/imdelegate.cpp
  editor/im/imeditordialog.cpp
  editor/im/immodel.cpp
  editor/im/improtocols.cpp
  editor/im/imitemdialog.cpp
  editor/imagewidget.cpp
  editor/imeditwidget.cpp
  editor/kdatepickerpopup.cpp
  editor/kedittagsdialog.cpp
  editor/nameeditdialog.cpp
  editor/nameeditwidget.cpp
  editor/phoneeditwidget.cpp
  editor/secrecyeditwidget.cpp
  editor/soundeditwidget.cpp
  editor/tagwidget.cpp
)

set(akonadicontact_LIB_SRC
  abstractcontactformatter.cpp
  abstractcontactgroupformatter.cpp
  attributeregistrar.cpp
  collectionfiltermodel.cpp
  contactcompletionmodel.cpp
  contactdefaultactions.cpp
  contacteditor.cpp
  contacteditordialog.cpp
  contactgroupeditor.cpp
  contactgroupeditordelegate.cpp
  contactgroupeditordialog.cpp
  contactgrouplineedit.cpp
  contactgroupexpandjob.cpp
  contactgroupmodel.cpp
  contactgroupsearchjob.cpp
  contactgroupviewer.cpp
  contactgroupviewerdialog.cpp
  contactmetadata.cpp
  contactmetadataattribute.cpp
  contactsearchjob.cpp
  contactsfilterproxymodel.cpp
  contactstreemodel.cpp
  contactviewer.cpp
  contactviewerdialog.cpp
  customfields.cpp
  customfieldmanager.cpp
  emailaddressselection.cpp
  emailaddressselectiondialog.cpp
  emailaddressselectionproxymodel.cpp
  emailaddressselectionwidget.cpp
  textbrowser.cpp
  leafextensionproxymodel.cpp
  recentcontactscollections.cpp
  recentcontactscollectionrequestjob.cpp
  standardcontactactionmanager.cpp
  standardcontactformatter.cpp
  standardcontactgroupformatter.cpp
  waitingoverlay.cpp
  ${akonadicontact_actions_SRCS}
)

if(NOT KDE_PLATFORM_PROFILE STREQUAL "Mobile")
set(akonadicontact_LIB_SRC
    ${akonadicontact_LIB_SRC}
    ${akonadicontact_editor_SRCS}
)
else()
add_definitions(-DDISABLE_EDITOR_WIDGETS)
endif()

qt4_wrap_ui(akonadicontact_LIB_SRC contactgroupeditor.ui)
kde4_add_kcfg_files(akonadicontact_LIB_SRC recentcontactscollectionssettings.kcfgc )

include_directories(
  ${CMAKE_BINARY_DIR}/kpimutils
  ${CMAKE_BINARY_DIR}/kmime
  ${CMAKE_BINARY_DIR}/kabc
  ${CMAKE_BINARY_DIR}/kcalcore
  ${CMAKE_BINARY_DIR}/akonadi
)

add_library(akonadi-contact ${LIBRARY_TYPE} ${akonadicontact_LIB_SRC})
if(CMAKE_MINIMUM_REQUIRED_VERSION VERSION_LESS 2.8.12)
  set_property(TARGET akonadi-contact PROPERTY DEFINE_SYMBOL akonadi_contact)
endif()
generate_export_header(akonadi-contact
  BASE_NAME akonadi_contact
  EXPORT_FILE_NAME akonadi-contact_export.h
)

if (KDE4_BUILD_TESTS)
   set(AKONADI_CONTACT_TESTS_EXPORT AKONADI_CONTACT_EXPORT)
endif()
configure_file(akonadi-contactprivate_export.h.in "${CMAKE_CURRENT_BINARY_DIR}/akonadi-contactprivate_export.h")



if (KDE4_BUILD_TESTS)
   set(AKONADI_CONTACT_TESTS_EXPORT AKONADI_CONTACT_EXPORT)
endif()
configure_file(akonadi-contactprivate_export.h.in
  "${CMAKE_CURRENT_BINARY_DIR}/akonadi-contactprivate_export.h"
)

target_link_libraries(akonadi-contact akonadi-kde
                                      kabc
                                      kcalcore
                                      kmime
                                      kpimutils
                                      ${KDE4_KDEUI_LIBS}
				      ${KDE4_KIO_LIBS} 
                                      ${NEPOMUK_CORE_LIBRARY})

if(PRISON_FOUND) 
target_link_libraries(akonadi-contact ${PRISON_LIBRARIES})
endif()

target_link_libraries(akonadi-contact LINK_INTERFACE_LIBRARIES
                                      akonadi-kde
                                      kabc
                                      kcalcore
                                      kmime
                                      kpimutils
                                      ${KDE4_KDEUI_LIBS}
                                      ${KDE4_KIO_LIBS}
				      ${NEPOMUK_CORE_LIBRARY})

if (NOT WINCE)
target_link_libraries(akonadi-contact ${KDE4_PHONON_LIBS})
target_link_libraries(akonadi-contact LINK_INTERFACE_LIBRARIES ${KDE4_PHONON_LIBS})
endif()

set_target_properties(akonadi-contact PROPERTIES VERSION ${GENERIC_LIB_VERSION} SOVERSION ${GENERIC_LIB_SOVERSION})

install(TARGETS akonadi-contact EXPORT kdepimlibsLibraryTargets ${INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES editor/pics/world.jpg DESTINATION ${DATA_INSTALL_DIR}/akonadi/contact/pics)
install(FILES editor/data/zone.tab DESTINATION ${DATA_INSTALL_DIR}/akonadi/contact/data)
install(FILES recentcontactscollections.kcfg DESTINATION ${KCFG_INSTALL_DIR} )

install( FILES
  abstractcontactformatter.h
  abstractcontactgroupformatter.h
  ${CMAKE_CURRENT_BINARY_DIR}/akonadi-contact_export.h
  contactdefaultactions.h
  contacteditor.h
  contacteditordialog.h
  contacteditorpageplugin.h
  contactgroupeditor.h
  contactgroupeditordialog.h
  contactgroupexpandjob.h
  contactgroupsearchjob.h
  contactgroupviewer.h
  contactgroupviewerdialog.h
  contactsearchjob.h
  contactsfilterproxymodel.h
  contactstreemodel.h
  contactviewer.h
  contactviewerdialog.h
  emailaddressselection.h
  emailaddressselectiondialog.h
  emailaddressselectionwidget.h
  recentcontactscollectionrequestjob.h
  standardcontactactionmanager.h
  standardcontactformatter.h
  standardcontactgroupformatter.h
  editor/im/improtocols.h
  DESTINATION ${INCLUDE_INSTALL_DIR}/akonadi/contact COMPONENT Devel
)

=== debian/changelog ===
kdepimlibs (4:4.12.3-0ubuntu1~ubuntu12.04.4~ppa1) precise; urgency=low

  * precise backport

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 06 Mar 2014 15:32:39 +0100

kdepimlibs (4:4.12.3-0ubuntu1~ubuntu14.04~ppa2) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 28 Feb 2014 20:09:10 +0100

kdepimlibs (4:4.12.2-0ubuntu2) trusty; urgency=medium

  * Update symbol files

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 12 Feb 2014 13:20:15 +0000

kdepimlibs (4:4.12.2-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 04 Feb 2014 23:52:19 +0000

kdepimlibs (4:4.12.1-0ubuntu1) trusty; urgency=low

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 16 Jan 2014 08:10:20 +0000

kdepimlibs (4:4.12.0-0ubuntu1) trusty; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Dec 2013 16:50:28 +0000

kdepimlibs (4:4.11.97-0ubuntu1) trusty; urgency=low

  [ Jonathan Riddell ]
  * New upstream RC release

  [ Rohan Garg ]
  * Cleanup, remove empty debian/patches

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 29 Nov 2013 12:48:52 +0000

kdepimlibs (4:4.11.95-0ubuntu1) trusty; urgency=low

  [ Rohan Garg ]
  * New upstream beta release

  [ Philip Muškovac ]
  * Add new symbol to libakonadi-kde4.symbols

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 25 Nov 2013 17:57:40 +0100

kdepimlibs (4:4.11.80-0ubuntu1) trusty; urgency=low

  [ Rohan Garg ]
  * New upstream beta release
    - Bump akonadi requirement to 1.10.45
    - Update install files
    - Update symbols

  [ Philip Muškovac ]
  * kdepimlibs-dev/-dbg breaks/replaces kdepim-runtime/-dbg (<< 4:4.11.80)

 -- Rohan Garg <rohangarg@kubuntu.org>  Sat, 23 Nov 2013 17:36:44 +0100

kdepimlibs (4:4.11.2-0ubuntu2) trusty; urgency=low

  * No change rebuild for Boost 1.54 transition.

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Wed, 23 Oct 2013 10:28:41 +0100

=== debian/control ===
--- 
+++ 
@@ -11,16 +11,16 @@
  Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10.1),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12), dpkg-dev (>= 1.15.5),
- kdelibs5-dev (>= 4:4.11.5), nepomuk-core-dev (>= 4:4.11.5),
+ kdelibs5-dev (>= 4:4.12.3), nepomuk-core-dev (>= 4:4.12.3),
  libgpgme11-dev, libldap2-dev, libsasl2-dev,
- libboost-dev, libboost-graph-dev, shared-mime-info,
- libakonadi-dev (>= 1.9.52), libical-dev (>= 1.0),
+ libboost1.48-dev, libboost-graph1.48-dev, shared-mime-info,
+ libakonadi-dev (>= 1.10.45), libical-dev (>= 1.0),
  shared-desktop-ontologies (>= 0.8), libsoprano-dev, xsltproc, uuid-dev,
  libprison-dev, libqjson-dev, libxslt1-dev, libx11-dev, pkg-config
 Standards-Version: 3.9.3
 Homepage: http://pim.kde.org/
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdepimlibs-13.10
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdepimlibs-13.10
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdepimlibs
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdepimlibs
 X-Vcs-Debian-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kdepimlibs.git
 X-Vcs-Debian-Git: git://git.debian.org/pkg-kde/kde-sc/kdepimlibs.git
 
@@ -29,8 +29,8 @@
 Architecture: any
 Depends: ${sameVersionDep:kdelibs5-dev:libakonadi-kde4}, ${allLibraries},
  ${misc:Depends}, nepomuk-core-dev, libgpgme11-dev
-Replaces: kdepimlibs-data (<< 4:4.1.80), libkleopatra1-dev
-Breaks: kdepimlibs-data (<< 4:4.1.80), libkleopatra1-dev
+Replaces: kdepimlibs-data (<< 4:4.1.80), libkleopatra1-dev, kdepim-runtime (<< 4:4.11.80)
+Breaks: kdepimlibs-data (<< 4:4.1.80), libkleopatra1-dev, kdepim-runtime (<< 4:4.11.80)
 Description: development files for the KDE Development Platform PIM libraries
  This package contains development files for building software that uses
  the KDE Development Platform Personal Information Management libraries.
@@ -285,5 +285,3 @@
 
 Package: libkpimidentities4
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Replaces: kdepimlibs5 (<< 4:4.4.0)
